Bug 6462 - [UPDATE REQUEST] X11 stack: server 1.17.4, drivers and libs
: [UPDATE REQUEST] X11 stack: server 1.17.4, drivers and libs
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks: 6470
  Show dependency treegraph
 
Reported: 2015-12-16 18:04 MSK by Eugene Shatokhin
Modified: 2015-12-24 22:08 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
eugene.shatokhin: published+


Attachments
ss (7.14 KB, image/png)
2015-12-19 11:44 MSK, Vladimir Potapov
Details
ss2 (207.96 KB, image/png)
2015-12-23 13:08 MSK, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2015-12-16 18:04:00 MSK
A rather big update of the X11 stack.
Comment 1 Eugene Shatokhin 2015-12-16 18:13:59 MSK
Advisory:
The X11 graphics stack was updated. The server is now at version 1.17.4 and the drivers were also updated and rebuilt due to the server ABI change. glamor and x11-driver-video-modesetting are now part of the X11 server. Some long unmaintained drivers have been dropped.

Build lists:

x86_64:
# Main
https://abf.io/build_lists/2605838
https://abf.io/build_lists/2605840
https://abf.io/build_lists/2605842
https://abf.io/build_lists/2605847
https://abf.io/build_lists/2605849
https://abf.io/build_lists/2605851
https://abf.io/build_lists/2605853
https://abf.io/build_lists/2605855
https://abf.io/build_lists/2605857
https://abf.io/build_lists/2605866
https://abf.io/build_lists/2605868
https://abf.io/build_lists/2605870
https://abf.io/build_lists/2605872
https://abf.io/build_lists/2605876
https://abf.io/build_lists/2605878
https://abf.io/build_lists/2605880
https://abf.io/build_lists/2605882
https://abf.io/build_lists/2605884
https://abf.io/build_lists/2605886
https://abf.io/build_lists/2605888
https://abf.io/build_lists/2605890
https://abf.io/build_lists/2605892
https://abf.io/build_lists/2605894
https://abf.io/build_lists/2605896
https://abf.io/build_lists/2605898
https://abf.io/build_lists/2605900
https://abf.io/build_lists/2605902
https://abf.io/build_lists/2605904
https://abf.io/build_lists/2605906
https://abf.io/build_lists/2605908
https://abf.io/build_lists/2605910
https://abf.io/build_lists/2605912
https://abf.io/build_lists/2605914
https://abf.io/build_lists/2605916
https://abf.io/build_lists/2605918
https://abf.io/build_lists/2605920
https://abf.io/build_lists/2605922
https://abf.io/build_lists/2605924
https://abf.io/build_lists/2605926
https://abf.io/build_lists/2605928
https://abf.io/build_lists/2605930
https://abf.io/build_lists/2605932
https://abf.io/build_lists/2605934
https://abf.io/build_lists/2605938
https://abf.io/build_lists/2605950
https://abf.io/build_lists/2605956
https://abf.io/build_lists/2605958
https://abf.io/build_lists/2605964
https://abf.io/build_lists/2605970
https://abf.io/build_lists/2605972
https://abf.io/build_lists/2605974
https://abf.io/build_lists/2605976
https://abf.io/build_lists/2605988
https://abf.io/build_lists/2606020
https://abf.io/build_lists/2606028
https://abf.io/build_lists/2606040
https://abf.io/build_lists/2606042
https://abf.io/build_lists/2606044
https://abf.io/build_lists/2606048
https://abf.io/build_lists/2606050
https://abf.io/build_lists/2606052
https://abf.io/build_lists/2606078
https://abf.io/build_lists/2606080
https://abf.io/build_lists/2606082
https://abf.io/build_lists/2606088
https://abf.io/build_lists/2606090
https://abf.io/build_lists/2606092
https://abf.io/build_lists/2606102
https://abf.io/build_lists/2606104
https://abf.io/build_lists/2606106
https://abf.io/build_lists/2606111
https://abf.io/build_lists/2606114
https://abf.io/build_lists/2606171
https://abf.io/build_lists/2606173
https://abf.io/build_lists/2606120
https://abf.io/build_lists/2606122
https://abf.io/build_lists/2606175
https://abf.io/build_lists/2606177
https://abf.io/build_lists/2606179
https://abf.io/build_lists/2606181
https://abf.io/build_lists/2606183
https://abf.io/build_lists/2606185
https://abf.io/build_lists/2606187
https://abf.io/build_lists/2606189
https://abf.io/build_lists/2606191
https://abf.io/build_lists/2606193
https://abf.io/build_lists/2606195
https://abf.io/build_lists/2606197
https://abf.io/build_lists/2606335
https://abf.io/build_lists/2606490
https://abf.io/build_lists/2606199

# Non-free
https://abf.io/build_lists/2606201
https://abf.io/build_lists/2606203
https://abf.io/build_lists/2606205
https://abf.io/build_lists/2606207
https://abf.io/build_lists/2606209
------------------

i586:
# Main
https://abf.io/build_lists/2605837
https://abf.io/build_lists/2605839
https://abf.io/build_lists/2605841
https://abf.io/build_lists/2605846
https://abf.io/build_lists/2605848
https://abf.io/build_lists/2605850
https://abf.io/build_lists/2605852
https://abf.io/build_lists/2605854
https://abf.io/build_lists/2605856
https://abf.io/build_lists/2605865
https://abf.io/build_lists/2605867
https://abf.io/build_lists/2605869
https://abf.io/build_lists/2605871
https://abf.io/build_lists/2605875
https://abf.io/build_lists/2605877
https://abf.io/build_lists/2605879
https://abf.io/build_lists/2605881
https://abf.io/build_lists/2605883
https://abf.io/build_lists/2605885
https://abf.io/build_lists/2605887
https://abf.io/build_lists/2605889
https://abf.io/build_lists/2605891
https://abf.io/build_lists/2605893
https://abf.io/build_lists/2605895
https://abf.io/build_lists/2605897
https://abf.io/build_lists/2605899
https://abf.io/build_lists/2605901
https://abf.io/build_lists/2605903
https://abf.io/build_lists/2605905
https://abf.io/build_lists/2605907
https://abf.io/build_lists/2605909
https://abf.io/build_lists/2605911
https://abf.io/build_lists/2605913
https://abf.io/build_lists/2605915
https://abf.io/build_lists/2605917
https://abf.io/build_lists/2605919
https://abf.io/build_lists/2605921
https://abf.io/build_lists/2605923
https://abf.io/build_lists/2605925
https://abf.io/build_lists/2605927
https://abf.io/build_lists/2605929
https://abf.io/build_lists/2605931
https://abf.io/build_lists/2605933
https://abf.io/build_lists/2605937
https://abf.io/build_lists/2605949
https://abf.io/build_lists/2605955
https://abf.io/build_lists/2605957
https://abf.io/build_lists/2605963
https://abf.io/build_lists/2605969
https://abf.io/build_lists/2605971
https://abf.io/build_lists/2605973
https://abf.io/build_lists/2605975
https://abf.io/build_lists/2605987
https://abf.io/build_lists/2606019
https://abf.io/build_lists/2606027
https://abf.io/build_lists/2606039
https://abf.io/build_lists/2606041
https://abf.io/build_lists/2606043
https://abf.io/build_lists/2606047
https://abf.io/build_lists/2606049
https://abf.io/build_lists/2606051
https://abf.io/build_lists/2606077
https://abf.io/build_lists/2606079
https://abf.io/build_lists/2606081
https://abf.io/build_lists/2606087
https://abf.io/build_lists/2606089
https://abf.io/build_lists/2606091
https://abf.io/build_lists/2606101
https://abf.io/build_lists/2606103
https://abf.io/build_lists/2606105
https://abf.io/build_lists/2606110
https://abf.io/build_lists/2606113
https://abf.io/build_lists/2606170
https://abf.io/build_lists/2606172
https://abf.io/build_lists/2606119
https://abf.io/build_lists/2606121
https://abf.io/build_lists/2606174
https://abf.io/build_lists/2606176
https://abf.io/build_lists/2606178
https://abf.io/build_lists/2606180
https://abf.io/build_lists/2606182
https://abf.io/build_lists/2606184
https://abf.io/build_lists/2606186
https://abf.io/build_lists/2606188
https://abf.io/build_lists/2606190
https://abf.io/build_lists/2606192
https://abf.io/build_lists/2606194
https://abf.io/build_lists/2606196
https://abf.io/build_lists/2606334
https://abf.io/build_lists/2606489
https://abf.io/build_lists/2606198

# Non-free
https://abf.io/build_lists/2606200
https://abf.io/build_lists/2606202
https://abf.io/build_lists/2606204
https://abf.io/build_lists/2606206
https://abf.io/build_lists/2606208
--------------

Note. On a 64-bit system both 64-bit and 32-bit packages are needed because some applications like Steam and Skype are 32-bit only.

Note. When installing the updates, the system may complain about the following packages:
x11-driver-input-aiptek, 
x11-driver-video-sisimedia, 
x11-driver-video-sisusb, 
x11-driver-video-xgixp, 
x11-driver-video-voodoo, 
x11-driver-video-rendition, 
x11-driver-video-nv.

It is OK to remove these packages. They do not support Xorg 1.17 and/or are unmaintained for a long time.
Comment 2 Eugene Shatokhin 2015-12-16 18:17:46 MSK
Here is the status for the individual packages: the version each package was updated to or "rebuild only" if the version did not change.

-----------------
x11-util-macros	1.19.0
x11-proto-devel	7.7-7
x11-xtrans-devel	1.3.5
pixman	0.32.8
libdrm	2.4.65
libxshmfence	1.2
libxau	rebuild only
libxdmcp	1.1.2
libpthread-stubs	rebuild only
libxcb	1.11.1
libx11	1.6.3
libxext	rebuild only
libxrender	0.9.9
libxrandr	1.5.0
libxfixes	rebuild only
libxi	1.7.5
libxinerama	rebuild only
libxv	rebuild only
xinput	1.6.2
libxtst	rebuild only
libxxf86vm	1.1.4
libice	1.0.9
libsm	1.2.2
libxt	1.1.5
libxvmc	1.0.9
libxdamage	1.1.4
libxmu	1.1.2
libxkbfile	1.0.9
libdmx	rebuild only
libxpm	3.5.11
libxfont	1.5.1
libxaw	1.0.13
libxres	rebuild only
libxp	1.0.3
libfs	1.0.7
libxcursor	rebuild only
libxcomposite	0.4.4
libevdev	1.4.4
mesa	rebuild only
x11-server	1.17.4
libxfontcache	rebuild only
mtdev	1.1.5
x11-driver-video-intel	2.99.917-1.20151127.2
x11-driver-video-ati	7.6.1-1.20151201.2
x11-driver-video-nouveau	1.0.11-2.20151117.2
x11-driver-video-cirrus	1.5.3
x11-driver-video-qxl	rebuild only
x11-driver-video-v4l	0.2.99-0.20110630.3
x11-driver-video-vesa	2.3.4
x11-driver-video-dummy	rebuild only
x11-driver-video-fbdev	rebuild only
x11-driver-video-mga	1.6.4
x11-driver-video-openchrome	rebuild only
x11-driver-video-s3	rebuild only
x11-driver-video-s3virge	1.10.7
x11-driver-video-savage	2.3.8
x11-driver-video-sis	0.10.8
x11-driver-video-vmware	rebuild only
x11-driver-input-evdev	2.10.0
x11-driver-input-synaptics	1.8.3
x11-driver-input-keyboard	1.8.1
x11-driver-input-mouse	1.9.1
x11-driver-input-wacom	0.31.0
x11-driver-input-acecad	rebuild only
x11-driver-input-evtouch	rebuild only
x11-driver-input-fpit	rebuild only
x11-driver-input-hyperpen	rebuild only
x11-driver-input-joystick	rebuild only
x11-driver-input-mutouch	rebuild only
x11-driver-input-penmount	rebuild only
x11-driver-input-vmmouse	rebuild only
x11-driver-input-void	1.4.1
mesa-demos	rebuild only
x11-font-util	1.3.1
xkbcomp	1.3.1
xcb-util	0.4.0
xcb-util-wm	rebuild only
xcb-util-keysyms	0.4.0
xcb-util-image	0.4.0
xcb-util-renderutil	rebuild only
xcb-util-cursor	rebuild only
xorg-x11	rebuild only
libxft	rebuild only
libxevie	rebuild only
libxxf86dga	rebuild only
libxxf86misc	rebuild only

fglrx	15.201.1151
nvidia304	rebuild only
nvidia340	rebuild only
nvidia352	rebuild only
nvidia-current	358.16

VirtualBox	rebuild only
-----------------

There are a bit more containers than packages because some of these (mtdev, etc.) have been built twice in the process, each time with a higher release to get around some errors on ABF.
Comment 3 Vladimir Potapov 2015-12-17 17:48:17 MSK
The update is sent to expanded testing
***************************************
Comment 4 Vladimir Potapov 2015-12-18 11:36:54 MSK
crash after update&reboot http://hw.rosalinux.ru/index.php?probe=194e5578fb
Comment 5 Vladimir Potapov 2015-12-18 12:38:02 MSK
cairo-dock issue
http://forum.rosalab.ru/viewtopic.php?f=53&t=5372&p=58961#p58952
Comment 6 Eugene Shatokhin 2015-12-18 13:55:30 MSK
(In reply to comment #4)
> crash after update&reboot http://hw.rosalinux.ru/index.php?probe=194e5578fb

The crash is in the binary-only part of fglrx. Looks like we can do nothing to fix it: that version of the driver is no longer maintained by AMD. The non-hybrid configurations seem to work w/o regression so far.

The older version of the driver (which is now in our repositories) leaks memory even on the non-hybrid systems.

The newer one ("Crimson"), supported by AMD at the moment, dropped support for Radeon HD 5xxx and 6xxx. So we cannot use it right now either.

No good solutions here. 

Probably, we should not recommend using fglrx in the hybrid configurations for some time and stick to the free driver there.
Comment 7 Eugene Shatokhin 2015-12-18 14:33:05 MSK
(In reply to comment #5)
> cairo-dock issue
> http://forum.rosalab.ru/viewtopic.php?f=53&t=5372&p=58961#p58952

Cairo-dock is from Contrib and is not officially maintained by ROSA. Besides, it seems, it was not updated for a year or so.

If we have time, we may try to update & fix it after this update of X11 stack.
Comment 8 Vladimir Potapov 2015-12-18 22:06:50 MSK
Dota 2 for my intelHD work only with
force_s3tc_enable=true steam
Comment 9 Vladimir Potapov 2015-12-18 22:09:04 MSK
(In reply to comment #8)
> Dota 2 for my intelHD work only with
> force_s3tc_enable=true steam

http://hw.rosalinux.ru/index.php?probe=a3d4f07b46
Comment 10 Eugene Shatokhin 2015-12-19 00:02:10 MSK
(In reply to comment #8)
> Dota 2 for my intelHD work only with
> force_s3tc_enable=true steam

Please try these builds of libtxc_dxtn:

https://abf.io/build_lists/2608357
https://abf.io/build_lists/2608358

I have rebuilt the packages with the newer OpenGL headers.

For Steam, one needs the 32-bit library, but, I suppose, installing both won't hurt too.
Comment 11 Vladimir Potapov 2015-12-19 11:44:31 MSK
Created attachment 4318 [details]
ss

no effect
Comment 12 Vladimir Potapov 2015-12-19 11:46:59 MSK
+ http://forum.rosalab.ru/viewtopic.php?f=53&t=6449&p=59073#p59060

MESA_EXTENSION_OVERRIDE="-GL_ARB_blend_func_extended -GL_ARB_sample_shading" MESA_GL_VERSION_OVERRIDE=3.2 DRI_PRIME=1
Comment 13 Eugene Shatokhin 2015-12-19 14:51:32 MSK
(In reply to comment #12)
> + http://forum.rosalab.ru/viewtopic.php?f=53&t=6449&p=59073#p59060
> 
> MESA_EXTENSION_OVERRIDE="-GL_ARB_blend_func_extended -GL_ARB_sample_shading"
> MESA_GL_VERSION_OVERRIDE=3.2 DRI_PRIME=1

Installing package "mesa" partially helps too (with Unigine apps).

This is not a regression in X11 but rather a probably long-standing problem in our mesa builds. Worth fixing after this update of X11.
Comment 14 Vladimir Potapov 2015-12-22 07:29:49 MSK
Please (please!) write obsolete for delete old x11 drivers!
Comment 15 Eugene Shatokhin 2015-12-22 12:46:03 MSK
(In reply to comment #14)
> Please (please!) write obsolete for delete old x11 drivers!

Done. Here is x11-server 1.17.4-3 with the Obsoletes added:

https://abf.io/build_lists/2608974
https://abf.io/build_lists/2608975

The packages from these containers should be published after all the packages listed above.
Comment 16 Vladimir Potapov 2015-12-23 13:08:27 MSK
Created attachment 4327 [details]
ss2

please, add sisusb driver  to obsoletes
Comment 17 Eugene Shatokhin 2015-12-23 16:02:35 MSK
(In reply to comment #16)
> Created attachment 4327 [details]
> ss2
> 
> please, add sisusb driver  to obsoletes

Not needed, because the driver has been rebuilt for the new X11 server.

https://abf.io/build_lists/2606246
https://abf.io/build_lists/2606247.

These builds will be published (they are for Contrib) after the builds of the packages listed above have been published to Main.

Same for a few other drivers from Contrib.
Comment 18 Vladimir Potapov 2015-12-23 21:21:55 MSK
x11-server-1.17.4-3
********************** Advisory *********************
The X11 graphics stack was updated. The server is now at version 1.17.4 and the drivers were also updated and rebuilt due to the server ABI change. glamor and x11-driver-video-modesetting are now part of the X11 server. Some long unmaintained drivers have been dropped.
******************************************************
QA Verified